> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute RefreshExploratoryAnalysisCalculation

> Executes the refreshExploratoryAnalysisCalculations function.



## OpenAPI

````yaml /api/experiments/rollout.openapi.json post /v1/workflows/rollout/instances/{instance}:refreshexploratoryanalysiscalculations
openapi: 3.1.0
info:
  title: Confidence Rollout API
  version: 1.0.0
  description: API documentation for rollout
servers: []
security: []
paths:
  /v1/workflows/rollout/instances/{instance}:refreshexploratoryanalysiscalculations:
    post:
      summary: Execute RefreshExploratoryAnalysisCalculation
      description: Executes the refreshExploratoryAnalysisCalculations function.
      operationId: RefreshExploratoryAnalysisCalculation.execute
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The analysis id
                  required:
                    - id
                  description: Parameters for the function.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  analysisResults:
                    type: array
                    items:
                      type: object
                      properties:
                        analysisResult:
                          type: string
                          description: A resource name on the format analysisResults/abc
                        exposureFilterName:
                          type: string
                          description: The exposure filter name
                      required:
                        - analysisResult
                    description: Analysis results
                  conclusion:
                    type: object
                    properties:
                      text:
                        type: string
                        description: The conclusion text
                      updateTime:
                        type: string
                        description: The update time
                    required:
                      - text
                      - updateTime
                    description: The conclusion
                  createTime:
                    type: string
                    description: The create time
                  createdBy:
                    type: string
                    description: A resource name on the format users/abc
                  endTime:
                    type: string
                    description: The end time of the analysis time window
                  id:
                    type: string
                    description: The analysis id
                  labels:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          description: The label key
                        value:
                          type: string
                          description: The label value
                      required:
                        - key
                        - value
                    description: Labels
                  messages:
                    type: array
                    items:
                      type: string
                    description: Messages
                  metrics:
                    type: array
                    items:
                      type: object
                      properties:
                        calculation:
                          type: string
                          description: >-
                            A resource name on the format
                            scheduledMetricCalculations/abc/metricCalculations/def
                        dimensions:
                          type: array
                          items:
                            type: object
                            properties:
                              column:
                                type: string
                                description: The column name
                              dimensionTable:
                                type: string
                                description: >-
                                  A resource name on the format
                                  dimensionTables/abc
                              factTable:
                                type: string
                                description: A resource name on the format factTables/abc
                            required:
                              - column
                          description: The dimensions for the metric
                        name:
                          type: string
                          description: A resource name on the format metrics/abc
                        scheduledCalculation:
                          type: string
                          description: >-
                            A resource name on the format
                            scheduledMetricCalculations/abc
                      required:
                        - dimensions
                        - name
                    description: The metrics to analyze
                  name:
                    type: string
                    description: The analysis name
                  splitByExposureFilters:
                    type: boolean
                    description: Whether to split by exposure filters
                  startTime:
                    type: string
                    description: The start time of the analysis time window
                  state:
                    type: string
                    enum:
                      - STATE_UNSPECIFIED
                      - EMPTY
                      - CALCULATING
                      - DONE
                      - ERROR
                      - STALE
                    description: The analysis state
                  updateTime:
                    type: string
                    description: The update time
                  useCustomDateRange:
                    type: boolean
                    description: Whether the analysis uses a custom date range
                  useScheduledCalculation:
                    type: boolean
                    description: >-
                      Use scheduled calculations instead of one-time
                      calculations
                required:
                  - createTime
                  - id
                  - messages
                  - metrics
                  - name
                  - state
                  - updateTime
      security:
        - admin: []
      servers:
        - url: https://experiments.confidence.dev
        - url: https://experiments.eu.confidence.dev
        - url: https://experiments.us.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````